> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unbridaled.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Diamonds AI Search

> Perform AI search using predefined merchant diamond templates. Each merchant template has a `group` to allow results from different templates from being returned at once. For example, you can create a `group` called `ai_solitaire` with `Standard`, `Premium` and `Ideal` templates if you plan to display the result together.

A `group` in the merchant template can roughly map to a `collection` of products in Shopify or other e-commerce platforms. This allows you to reuse different predefined templates easily for a `group` of products. Refer to `List Merchant Templates` API to learn about Merchant diamonds templates or check our tutorial to learn more about our AI merchant template concept here: [AI Curated Results](https://docs.unbridaled.ai/settings/ai-curated-results).



## OpenAPI

````yaml post /api/v2/diamonds/ai_search
openapi: 3.1.0
info:
  title: Unbridaled Marketplace Merchant API
  description: Developer API to integrate with Unbridaled Marketplace
  version: 1.0.0
servers:
  - url: https://api-staging.unbridaled.ai
    description: Sandbox API
  - description: Production API
    url: https://api.unbridaled.ai
security:
  - apikeyAuth: []
tags:
  - name: Diamonds
  - name: Inventory
  - name: Orders
  - name: Merchant Templates
  - name: Profit Margins
  - name: Defaults
  - name: Merchant Addresses
paths:
  /api/v2/diamonds/ai_search:
    parameters: []
    post:
      tags:
        - Diamonds
      summary: Diamonds AI Search
      description: >-
        Perform AI search using predefined merchant diamond templates. Each
        merchant template has a `group` to allow results from different
        templates from being returned at once. For example, you can create a
        `group` called `ai_solitaire` with `Standard`, `Premium` and `Ideal`
        templates if you plan to display the result together.


        A `group` in the merchant template can roughly map to a `collection` of
        products in Shopify or other e-commerce platforms. This allows you to
        reuse different predefined templates easily for a `group` of products.
        Refer to `List Merchant Templates` API to learn about Merchant diamonds
        templates or check our tutorial to learn more about our AI merchant
        template concept here: [AI Curated
        Results](https://docs.unbridaled.ai/settings/ai-curated-results).
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                weight:
                  type: number
                  description: Weight of the diamond.
                currency_code:
                  type: string
                  description: >-
                    ISO-3 currency code to return the prices in. Defaults to
                    USD.
                shape:
                  type: string
                  description: Shape to perform the AI search on.
                count_per_grade:
                  type: integer
                  minimum: 1
                  maximum: 2
                  description: >-
                    Determines if to return 1 result or 2 result per template.
                    Use 1 for single and 2 for pair.
                types:
                  type: array
                  items:
                    type: string
                    enum:
                      - mined
                      - lab grown
                ratio_min:
                  type: number
                ratio_max:
                  type: number
                merchant_template_filters:
                  type: object
                  properties:
                    group:
                      type: string
                      description: Group of the merchant templates to return.
                  required:
                    - group
              required:
                - weight
                - shape
                - types
            examples:
              DiamondsAISearchRequest:
                value:
                  shape: oval
                  types:
                    - mined
                    - lab grown
                  count_per_grade: 1
                  ratio_min: 1.35
                  ratio_max: 1.55
                  merchant_template_filters:
                    group: ai_solitaire
                  weight: '1.25'
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    allow_media_request:
                      type: boolean
                    base_currency_code:
                      type: string
                    base_retail_price:
                      type: integer
                    base_wholesale_price:
                      type: integer
                    bgm:
                      type: 'null'
                    brand:
                      type: 'null'
                    cached_ux_url:
                      type:
                        - 'null'
                        - string
                    can_hold:
                      type: boolean
                    cert_num:
                      type: string
                    cert_url:
                      type: string
                    city:
                      type: 'null'
                    clarity:
                      type: string
                    clarity_max:
                      type: 'null'
                    color:
                      type: string
                    color_max:
                      type: 'null'
                    country_code:
                      type: string
                    created_on:
                      type: string
                    crown_angle:
                      type:
                        - 'null'
                        - number
                    culet_size:
                      type:
                        - 'null'
                        - string
                    currency_code:
                      type: string
                    cut_code:
                      type: string
                    cut_grade:
                      type: 'null'
                    cut_grade_description:
                      type: 'null'
                    days_to_return:
                      type: integer
                    delivery_days_max:
                      type: integer
                    delivery_days_min:
                      type: integer
                    depth:
                      type: number
                    depth_percentage:
                      type: number
                    disabled_at:
                      type: 'null'
                    disabled_reason:
                      type: 'null'
                    display_origin:
                      type: 'null'
                    enabled:
                      type: boolean
                    exchange_rate:
                      type: integer
                    eye_clean:
                      type: string
                    eye_clean_grade:
                      type: 'null'
                    fancy_color_intensity:
                      type: 'null'
                    fluorescence:
                      type: string
                    girdle_max:
                      type: string
                    girdle_min:
                      type: string
                    grading_status:
                      type: string
                    grow_method:
                      type:
                        - 'null'
                        - string
                    hold_merchant_uuid:
                      type: 'null'
                    id:
                      type: integer
                    image_bottom_url:
                      type: 'null'
                    image_top_url:
                      type: string
                    internal_days_to_return:
                      type: integer
                    is_bgm:
                      type: boolean
                    is_fancy:
                      type: boolean
                    is_manual:
                      type: boolean
                    is_pair:
                      type: boolean
                    is_sustainable:
                      type: boolean
                    lab:
                      type: string
                    length:
                      type: number
                    luster:
                      type: 'null'
                    manually_disabled:
                      type: boolean
                    media_requested:
                      type: boolean
                    memo:
                      type: boolean
                    memo_days_to_return:
                      type: integer
                    merchant_template_group:
                      type: string
                    merchant_template_label:
                      type: string
                      description: >-
                        The label of the merchant template to the diamond was
                        classified under. For example, if the label of the
                        merchant template is "ideal", then the `label` will
                        return "ideal" in the response.
                    merchant_template_position:
                      type: integer
                    merchant_template_uuid:
                      type: string
                    off_rap_percentage:
                      type: 'null'
                    on_hand_video_url:
                      type: 'null'
                    on_hold:
                      type: boolean
                    open_crown:
                      type: 'null'
                    open_girdle:
                      type: 'null'
                    open_pavilion:
                      type: 'null'
                    open_table:
                      type: 'null'
                    origin:
                      type: 'null'
                    original_imported_ext_url:
                      type: string
                    overtone:
                      type: 'null'
                    parcel:
                      type: boolean
                    pavilion_angle:
                      type:
                        - 'null'
                        - number
                    pavilion_depth:
                      type:
                        - 'null'
                        - number
                    pcs:
                      type: integer
                    polish_grade:
                      type: string
                    product_type:
                      type: string
                    quality:
                      type: 'null'
                    quantity:
                      type: integer
                    ratio:
                      type: number
                    ratio_group:
                      type: string
                    retail_cert_url:
                      type: string
                    retail_price:
                      type: integer
                    returnable:
                      type:
                        - boolean
                        - 'null'
                    shade:
                      type: 'null'
                    shape:
                      type: string
                    shape_icon_url:
                      type: string
                    shape_icon_url_png:
                      type: string
                    shape_image_url:
                      type: string
                    sku:
                      type: string
                    stone_type:
                      type: 'null'
                    sustainability_details:
                      type: 'null'
                    symmetry_grade:
                      type: string
                    table_percentage:
                      type: integer
                    tone:
                      type: 'null'
                    treatments:
                      type: 'null'
                    type:
                      type: string
                    uom:
                      type: string
                    updated_on:
                      type: string
                    ux_url:
                      type: string
                    v360_info:
                      type: 'null'
                    v360_json_base_url:
                      type: string
                    video_url:
                      type: string
                    weight:
                      type: number
                    wholesale_price:
                      type: integer
                    width:
                      type:
                        - number
              examples:
                DiamondsAISearchResponse:
                  value:
                    - allow_media_request: false
                      base_currency_code: USD
                      base_retail_price: 490
                      base_wholesale_price: 430
                      bgm: null
                      brand: null
                      cached_ux_url: das/uploads/v360/imaged/UB62945EDB2B
                      can_hold: true
                      cert_num: '524226131'
                      cert_url: https://api.igi.org/viewpdf.php?r=524226131
                      city: null
                      clarity: VS1
                      clarity_max: null
                      color: F
                      color_max: null
                      country_code: USA
                      created_on: '2023-12-04 15:34:45.897194'
                      crown_angle: 37.5
                      culet_size: 'N'
                      currency_code: USD
                      cut_code: brilliant_cut
                      cut_grade: null
                      cut_grade_description: null
                      days_to_return: 0
                      delivery_days_max: 2
                      delivery_days_min: 1
                      depth: 3.84
                      depth_percentage: 62.1
                      disabled_at: null
                      disabled_reason: null
                      display_origin: null
                      enabled: true
                      exchange_rate: 1
                      eye_clean: 'yes'
                      eye_clean_grade: null
                      fancy_color_intensity: null
                      fluorescence: None
                      girdle_max: MD
                      girdle_min: TN
                      grading_status: not_graded
                      grow_method: cvd
                      hold_merchant_uuid: null
                      id: 909651
                      image_bottom_url: null
                      image_top_url: ''
                      internal_days_to_return: 0
                      is_bgm: false
                      is_fancy: false
                      is_manual: false
                      is_pair: false
                      is_sustainable: false
                      lab: IGI
                      length: 8.68
                      luster: null
                      manually_disabled: false
                      media_requested: false
                      memo: true
                      memo_days_to_return: 5
                      merchant_template_group: ai_solitaire
                      merchant_template_label: IDEAL
                      merchant_template_position: 1
                      merchant_template_uuid: 2d978b0f-8541-4825-8e34-353fea78bb84
                      off_rap_percentage: null
                      on_hand_video_url: null
                      on_hold: false
                      open_crown: null
                      open_girdle: null
                      open_pavilion: null
                      open_table: null
                      origin: null
                      original_imported_ext_url: https://hd360video.com/video/Get?q=BMLGD-93456
                      overtone: null
                      parcel: false
                      pavilion_angle: 40.3
                      pavilion_depth: 43.5
                      pcs: 1
                      polish_grade: EX
                      product_type: diamond
                      quality: null
                      quantity: 1
                      ratio: 1.4
                      ratio_group: rectangular
                      retail_cert_url: https://api.igi.org/viewpdf.php?r=524226131
                      retail_price: 490
                      returnable: null
                      shade: null
                      shape: oval
                      shape_icon_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg
                      shape_icon_url_png: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png
                      shape_image_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png
                      sku: UB62945EDB2B
                      stone_type: null
                      sustainability_details: null
                      symmetry_grade: EX
                      table_percentage: 60
                      tone: null
                      treatments: null
                      type: lab grown
                      uom: pc
                      updated_on: '2024-02-18 10:55:52.577049'
                      ux_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/v360/ub/v1/player/video/player.html?d=UB62945EDB2B&surl=https%3A%2F%2Funbridaled-dev.s3.amazonaws.com%2Fdas%2Fuploads%2Fv360%2F&z=0&btn=0&sv=0
                      v360_info: null
                      v360_json_base_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/uploads/v360/imaged/UB62945EDB2B
                      video_url: ''
                      weight: 1.29
                      wholesale_price: 430
                      width: 6.18
                    - allow_media_request: true
                      base_currency_code: USD
                      base_retail_price: 10040
                      base_wholesale_price: 7600
                      bgm: null
                      brand: null
                      cached_ux_url: null
                      can_hold: true
                      cert_num: '2457886782'
                      cert_url: https://www.gia.edu/report-check?reportno=2457886782
                      city: null
                      clarity: VS1
                      clarity_max: null
                      color: G
                      color_max: null
                      country_code: USA
                      created_on: '2023-05-03 06:23:38.945932'
                      crown_angle: null
                      culet_size: 'N'
                      currency_code: USD
                      cut_code: brilliant_cut
                      cut_grade: null
                      cut_grade_description: null
                      days_to_return: 0
                      delivery_days_max: 2
                      delivery_days_min: 1
                      depth: 3.89
                      depth_percentage: 66.6
                      disabled_at: null
                      disabled_reason: null
                      display_origin: null
                      enabled: true
                      exchange_rate: 1
                      eye_clean: 'yes'
                      eye_clean_grade: null
                      fancy_color_intensity: null
                      fluorescence: Strong
                      girdle_max: XTK
                      girdle_min: MD
                      grading_status: not_graded
                      grow_method: null
                      hold_merchant_uuid: null
                      id: 755418
                      image_bottom_url: null
                      image_top_url: ''
                      internal_days_to_return: 0
                      is_bgm: false
                      is_fancy: false
                      is_manual: false
                      is_pair: false
                      is_sustainable: false
                      lab: GIA
                      length: 8.28
                      luster: null
                      manually_disabled: false
                      media_requested: false
                      memo: false
                      memo_days_to_return: 0
                      merchant_template_group: ai_solitaire
                      merchant_template_label: IDEAL
                      merchant_template_position: 1
                      merchant_template_uuid: 2d978b0f-8541-4825-8e34-353fea78bb84
                      off_rap_percentage: null
                      on_hand_video_url: null
                      on_hold: false
                      open_crown: null
                      open_girdle: null
                      open_pavilion: null
                      open_table: null
                      origin: null
                      original_imported_ext_url: https://youtu.be/osX4t8NVzz4
                      overtone: null
                      parcel: false
                      pavilion_angle: null
                      pavilion_depth: null
                      pcs: 1
                      polish_grade: G
                      product_type: diamond
                      quality: null
                      quantity: 1
                      ratio: 1.42
                      ratio_group: rectangular
                      retail_cert_url: https://www.gia.edu/report-check?reportno=2457886782
                      retail_price: 10040
                      returnable: null
                      shade: null
                      shape: oval
                      shape_icon_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg
                      shape_icon_url_png: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png
                      shape_image_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png
                      sku: UB32EE4EAE56
                      stone_type: null
                      sustainability_details: null
                      symmetry_grade: G
                      table_percentage: 57
                      tone: null
                      treatments: null
                      type: mined
                      uom: pc
                      updated_on: '2023-12-04 16:18:33.222357'
                      ux_url: ''
                      v360_info: null
                      v360_json_base_url: ''
                      video_url: ''
                      weight: 1.25
                      wholesale_price: 7600
                      width: 5.84
                    - allow_media_request: false
                      base_currency_code: USD
                      base_retail_price: 400
                      base_wholesale_price: 350
                      bgm: null
                      brand: null
                      cached_ux_url: null
                      can_hold: true
                      cert_num: '574321154'
                      cert_url: https://api.igi.org/viewpdf.php?r=574321154
                      city: null
                      clarity: VS1
                      clarity_max: null
                      color: G
                      color_max: null
                      country_code: USA
                      created_on: '2023-07-15 22:49:39.439364'
                      crown_angle: 36
                      culet_size: null
                      currency_code: USD
                      cut_code: brilliant_cut
                      cut_grade: null
                      cut_grade_description: null
                      days_to_return: 0
                      delivery_days_max: 2
                      delivery_days_min: 1
                      depth: 3.84
                      depth_percentage: 62.5
                      disabled_at: null
                      disabled_reason: null
                      display_origin: null
                      enabled: true
                      exchange_rate: 1
                      eye_clean: 'yes'
                      eye_clean_grade: null
                      fancy_color_intensity: null
                      fluorescence: None
                      girdle_max: STK
                      girdle_min: MD
                      grading_status: not_graded
                      grow_method: null
                      hold_merchant_uuid: null
                      id: 854743
                      image_bottom_url: null
                      image_top_url: ''
                      internal_days_to_return: 0
                      is_bgm: false
                      is_fancy: false
                      is_manual: false
                      is_pair: false
                      is_sustainable: false
                      lab: IGI
                      length: 8.57
                      luster: null
                      manually_disabled: false
                      media_requested: false
                      memo: true
                      memo_days_to_return: 5
                      merchant_template_group: ai_solitaire
                      merchant_template_label: PREMIUM
                      merchant_template_position: 2
                      merchant_template_uuid: 6f93e9ec-4000-4562-b7b8-850997933853
                      off_rap_percentage: null
                      on_hand_video_url: null
                      on_hold: false
                      open_crown: null
                      open_girdle: null
                      open_pavilion: null
                      open_table: null
                      origin: null
                      original_imported_ext_url: >-
                        https://v360.diamonds/c/efab1fae-c776-4964-bc4c-d51129f31ba1?m=d&a=LG574321154
                      overtone: null
                      parcel: false
                      pavilion_angle: 40.4
                      pavilion_depth: 44
                      pcs: 1
                      polish_grade: EX
                      product_type: diamond
                      quality: null
                      quantity: 1
                      ratio: 1.4
                      ratio_group: rectangular
                      retail_cert_url: https://api.igi.org/viewpdf.php?r=574321154
                      retail_price: 400
                      returnable: null
                      shade: null
                      shape: oval
                      shape_icon_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg
                      shape_icon_url_png: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png
                      shape_image_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png
                      sku: UB9FD25A31FC
                      stone_type: null
                      sustainability_details: null
                      symmetry_grade: EX
                      table_percentage: 61.5
                      tone: null
                      treatments: null
                      type: lab grown
                      uom: pc
                      updated_on: '2023-08-29 04:57:04.421316'
                      ux_url: >-
                        https://v360.diamonds/c/efab1fae-c776-4964-bc4c-d51129f31ba1?m=d&a=LG574321154&z=0&btn=0&sv=0
                      v360_info: null
                      v360_json_base_url: ''
                      video_url: ''
                      weight: 1.28
                      wholesale_price: 350
                      width: 6.14
                    - allow_media_request: true
                      base_currency_code: USD
                      base_retail_price: 8480
                      base_wholesale_price: 6420
                      bgm: null
                      brand: null
                      cached_ux_url: null
                      can_hold: true
                      cert_num: '7481100529'
                      cert_url: https://www.gia.edu/report-check?reportno=7481100529
                      city: null
                      clarity: VS1
                      clarity_max: null
                      color: H
                      color_max: null
                      country_code: BEL
                      created_on: '2023-12-20 12:52:59.204650'
                      crown_angle: null
                      culet_size: null
                      currency_code: USD
                      cut_code: brilliant_cut
                      cut_grade: null
                      cut_grade_description: null
                      days_to_return: 0
                      delivery_days_max: 7
                      delivery_days_min: 5
                      depth: 3.85
                      depth_percentage: 62.7
                      disabled_at: null
                      disabled_reason: null
                      display_origin: null
                      enabled: true
                      exchange_rate: 1
                      eye_clean: 'yes'
                      eye_clean_grade: null
                      fancy_color_intensity: null
                      fluorescence: None
                      girdle_max: TK
                      girdle_min: STK
                      grading_status: not_graded
                      grow_method: null
                      hold_merchant_uuid: null
                      id: 961780
                      image_bottom_url: null
                      image_top_url: ''
                      internal_days_to_return: 0
                      is_bgm: false
                      is_fancy: false
                      is_manual: false
                      is_pair: false
                      is_sustainable: false
                      lab: GIA
                      length: 8.63
                      luster: null
                      manually_disabled: false
                      media_requested: false
                      memo: false
                      memo_days_to_return: 0
                      merchant_template_group: ai_solitaire
                      merchant_template_label: PREMIUM
                      merchant_template_position: 2
                      merchant_template_uuid: 6f93e9ec-4000-4562-b7b8-850997933853
                      off_rap_percentage: null
                      on_hand_video_url: null
                      on_hold: false
                      open_crown: null
                      open_girdle: null
                      open_pavilion: null
                      open_table: null
                      origin: null
                      original_imported_ext_url: >-
                        https://assets.3dvirtualdiamond.com/MPlayer/WSCCN008?u=A6H4zW3BYl8KRNV8gUgsddhkusing2017daZhh4Td0ESIgFUuvn3o5k7fddhkusing2017OXeSYoiRSm1TuXW7UVnddhkusing2017ZXus3RJ2ZGCwYzdbNgPQ==
                      overtone: null
                      parcel: false
                      pavilion_angle: 41.2
                      pavilion_depth: 45.3
                      pcs: 1
                      polish_grade: EX
                      product_type: diamond
                      quality: null
                      quantity: 1
                      ratio: 1.4
                      ratio_group: rectangular
                      retail_cert_url: https://www.gia.edu/report-check?reportno=7481100529
                      retail_price: 8480
                      returnable: false
                      shade: null
                      shape: oval
                      shape_icon_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg
                      shape_icon_url_png: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png
                      shape_image_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png
                      sku: UB7F90802263
                      stone_type: null
                      sustainability_details: null
                      symmetry_grade: EX
                      table_percentage: 61
                      tone: null
                      treatments: null
                      type: mined
                      uom: pc
                      updated_on: '2023-12-20 12:52:59.204650'
                      ux_url: ''
                      v360_info: null
                      v360_json_base_url: ''
                      video_url: ''
                      weight: 1.28
                      wholesale_price: 6420
                      width: 6.15
                    - allow_media_request: false
                      base_currency_code: USD
                      base_retail_price: 390
                      base_wholesale_price: 340
                      bgm: null
                      brand: null
                      cached_ux_url: null
                      can_hold: true
                      cert_num: '563242412'
                      cert_url: https://api.igi.org/viewpdf.php?r=563242412
                      city: null
                      clarity: VVS2
                      clarity_max: null
                      color: H
                      color_max: null
                      country_code: USA
                      created_on: '2024-07-05 22:12:46.929465'
                      crown_angle: 35.7
                      culet_size: 'N'
                      currency_code: USD
                      cut_code: brilliant_cut
                      cut_grade: null
                      cut_grade_description: null
                      days_to_return: 0
                      delivery_days_max: 2
                      delivery_days_min: 1
                      depth: 3.81
                      depth_percentage: 62.6
                      disabled_at: null
                      disabled_reason: null
                      display_origin: null
                      enabled: true
                      exchange_rate: 1
                      eye_clean: 'yes'
                      eye_clean_grade: EC0
                      fancy_color_intensity: null
                      fluorescence: None
                      girdle_max: STK
                      girdle_min: TN
                      grading_status: null
                      grow_method: hpht
                      hold_merchant_uuid: null
                      id: 997029
                      image_bottom_url: null
                      image_top_url: ''
                      internal_days_to_return: 0
                      is_bgm: false
                      is_fancy: false
                      is_manual: false
                      is_pair: false
                      is_sustainable: false
                      lab: IGI
                      length: 9.03
                      luster: excellent
                      manually_disabled: false
                      media_requested: false
                      memo: true
                      memo_days_to_return: 5
                      merchant_template_group: ai_solitaire
                      merchant_template_label: STANDARD
                      merchant_template_position: 3
                      merchant_template_uuid: b3623d1c-8b19-42e8-a1de-6e80a09baa26
                      off_rap_percentage: null
                      on_hand_video_url: null
                      on_hold: false
                      open_crown: null
                      open_girdle: null
                      open_pavilion: null
                      open_table: null
                      origin: null
                      original_imported_ext_url: >-
                        https://v360.in/viewer4.0/vision360.html?d=46517&surl=https://s4.v360.in/images/company/317/
                      overtone: null
                      parcel: false
                      pavilion_angle: 40.7
                      pavilion_depth: 45
                      pcs: 1
                      polish_grade: EX
                      product_type: diamond
                      quality: null
                      quantity: 1
                      ratio: 1.48
                      ratio_group: rectangular
                      retail_cert_url: https://api.igi.org/viewpdf.php?r=563242412
                      retail_price: 390
                      returnable: false
                      shade: None
                      shape: oval
                      shape_icon_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg
                      shape_icon_url_png: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png
                      shape_image_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png
                      sku: UB3088B880DF
                      stone_type: null
                      sustainability_details: null
                      symmetry_grade: EX
                      table_percentage: 59
                      tone: null
                      treatments: null
                      type: lab grown
                      uom: pc
                      updated_on: '2024-07-05 22:12:46.929465'
                      ux_url: >-
                        https://v360.in/viewer4.0/vision360.html?d=46517&surl=https%3A%2F%2Fs4.v360.in%2Fimages%2Fcompany%2F317%2F&z=0&btn=0&sv=0
                      v360_info: null
                      v360_json_base_url: ''
                      video_url: ''
                      weight: 1.29
                      wholesale_price: 340
                      width: 6.09
                    - allow_media_request: false
                      base_currency_code: USD
                      base_retail_price: 7110
                      base_wholesale_price: 5380
                      bgm: null
                      brand: null
                      cached_ux_url: null
                      can_hold: true
                      cert_num: '1478514468'
                      cert_url: https://www.gia.edu/report-check?reportno=1478514468
                      city: null
                      clarity: VS1
                      clarity_max: null
                      color: I
                      color_max: null
                      country_code: USA
                      created_on: '2023-12-04 16:40:10.518798'
                      crown_angle: null
                      culet_size: 'N'
                      currency_code: USD
                      cut_code: brilliant_cut
                      cut_grade: null
                      cut_grade_description: null
                      days_to_return: 0
                      delivery_days_max: 2
                      delivery_days_min: 1
                      depth: 3.77
                      depth_percentage: 62.9
                      disabled_at: null
                      disabled_reason: null
                      display_origin: null
                      enabled: true
                      exchange_rate: 1
                      eye_clean: 'yes'
                      eye_clean_grade: null
                      fancy_color_intensity: null
                      fluorescence: Medium
                      girdle_max: TK
                      girdle_min: MD
                      grading_status: not_graded
                      grow_method: null
                      hold_merchant_uuid: null
                      id: 924540
                      image_bottom_url: null
                      image_top_url: ''
                      internal_days_to_return: 0
                      is_bgm: false
                      is_fancy: false
                      is_manual: false
                      is_pair: false
                      is_sustainable: false
                      lab: GIA
                      length: 8.37
                      luster: null
                      manually_disabled: false
                      media_requested: false
                      memo: true
                      memo_days_to_return: 5
                      merchant_template_group: ai_solitaire
                      merchant_template_label: STANDARD
                      merchant_template_position: 3
                      merchant_template_uuid: b3623d1c-8b19-42e8-a1de-6e80a09baa26
                      off_rap_percentage: null
                      on_hand_video_url: null
                      on_hold: false
                      open_crown: null
                      open_girdle: null
                      open_pavilion: null
                      open_table: null
                      origin: null
                      original_imported_ext_url: >-
                        https://dtol-video-files.s3.amazonaws.com/1221/1478514468.mp4
                      overtone: null
                      parcel: false
                      pavilion_angle: null
                      pavilion_depth: null
                      pcs: 1
                      polish_grade: EX
                      product_type: diamond
                      quality: null
                      quantity: 1
                      ratio: 1.4
                      ratio_group: rectangular
                      retail_cert_url: https://www.gia.edu/report-check?reportno=1478514468
                      retail_price: 7110
                      returnable: null
                      shade: null
                      shape: oval
                      shape_icon_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg
                      shape_icon_url_png: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png
                      shape_image_url: >-
                        https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png
                      sku: UB29DEA2F89D
                      stone_type: null
                      sustainability_details: null
                      symmetry_grade: EX
                      table_percentage: 60
                      tone: null
                      treatments: null
                      type: mined
                      uom: pc
                      updated_on: '2023-12-04 16:40:10.518798'
                      ux_url: ''
                      v360_info: null
                      v360_json_base_url: ''
                      video_url: >-
                        https://dtol-video-files.s3.amazonaws.com/1221/1478514468.mp4
                      weight: 1.25
                      wholesale_price: 5380
                      width: 6
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: bearer

````